# Uses of Interface
ch.qos.logback.classic.selector.ContextSelector

Packages that use ContextSelector
Package
Description
ch.qos.logback.classic.selector
ch.qos.logback.classic.util
Contains utility classes.

## Uses of ContextSelector in ch.qos.logback.classic.selector

Classes in ch.qos.logback.classic.selector that implement ContextSelector
Modifier and Type
Class
Description
`class`
`ContextJNDISelector`
A class that allows the LoggerFactory to access an environment-based LoggerContext.
`class`
`DefaultContextSelector`

## Uses of ContextSelector in ch.qos.logback.classic.util

Methods in ch.qos.logback.classic.util that return ContextSelector
Modifier and Type
Method
Description
`ContextSelector`
ContextSelectorStaticBinder.`getContextSelector()`